Package com.opensymphony.module.sitemesh.freemarker

# Class FreemarkerDecoratorServlet

java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
freemarker.ext.servlet.FreemarkerServlet
com.opensymphony.module.sitemesh.freemarker.FreemarkerDecoratorServlet

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

public class FreemarkerDecoratorServlet extends freemarker.ext.servlet.FreemarkerServlet
Servlet that allows Freemarker templates to be used as decorators.

Version:
  $Revision: 1.2 $
Author:
  Richard HALLIER
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class freemarker.ext.servlet.FreemarkerServlet

`debug, INIT_PARAM_BUFFER_SIZE, INIT_PARAM_CLASSPATH_TLDS, INIT_PARAM_CONTENT_TYPE, INIT_PARAM_EXCEPTION_ON_MISSING_TEMPLATE, INIT_PARAM_META_INF_TLD_LOCATIONS, INIT_PARAM_NO_CACHE, INIT_PARAM_OVERRIDE_RESPONSE_CONTENT_TYPE, INIT_PARAM_OVERRIDE_RESPONSE_LOCALE, INIT_PARAM_RESPONSE_CHARACTER_ENCODING, INIT_PARAM_TEMPLATE_PATH, INIT_PARAM_VALUE_ALWAYS, INIT_PARAM_VALUE_DO_NOT_SET, INIT_PARAM_VALUE_FORCE_PREFIX, INIT_PARAM_VALUE_FROM_TEMPLATE, INIT_PARAM_VALUE_LEGACY, INIT_PARAM_VALUE_NEVER, INIT_PARAM_VALUE_WHEN_TEMPLATE_HAS_MIME_TYPE, KEY_APPLICATION, KEY_APPLICATION_PRIVATE, KEY_INCLUDE, KEY_JSP_TAGLIBS, KEY_REQUEST, KEY_REQUEST_PARAMETERS, KEY_REQUEST_PRIVATE, KEY_SESSION, META_INF_TLD_LOCATION_CLASSPATH, META_INF_TLD_LOCATION_CLEAR, META_INF_TLD_LOCATION_WEB_INF_PER_LIB_JARS, serialVersionUID, SYSTEM_PROPERTY_CLASSPATH_TLDS, SYSTEM_PROPERTY_META_INF_TLD_SOURCES`

## Constructor Summary

Constructors
Constructor
Description
`FreemarkerDecoratorServlet()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`preTemplateProcess(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, freemarker.template.Template template, freemarker.template.TemplateModel templateModel)`

### Methods inherited from class freemarker.ext.servlet.FreemarkerServlet

`createConfiguration, createDefaultClassPathTlds, createDefaultMetaInfTldSources, createDefaultObjectWrapper, createModel, createObjectWrapper, createRequestParametersHashModel, createTaglibFactory, createTemplateLoader, deduceLocale, doGet, doPost, getConfiguration, getDefaultOverrideResponseContentType, getObjectWrapper, getTemplatePath, init, initializeServletContext, initializeSession, postTemplateProcess, preprocessRequest, processEnvironment, requestUrlToTemplatePath, setConfigurationDefaults`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FreemarkerDecoratorServlet

public FreemarkerDecoratorServlet()

## Method Details

### preTemplateProcess

protected boolean preTemplateProcess(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, freemarker.template.Template template, freemarker.template.TemplateModel templateModel) throws javax.servlet.ServletException, IOException

Overrides:
  `preTemplateProcess` in class `freemarker.ext.servlet.FreemarkerServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`